Skip to main content

DELETE v3/orderItems/:id

DELETE 

/v3/orderItems

Cancel an order item, or as much of it as has not shipped yet.

Invoking this endpoint will cause the server to make an effort to cancel an orderItem. This may succeed when there are no shipments fulfilling the orderItem yet. Otherwise the cancellation will be at best partially successfull. Depending on the outcome the server response will be (sligtly) different as outlined below

Responses​

Partial or Complete Cancellation​

If the orderItem was partially or completely cancelled (for example, if it was already partially fulfilled), the server will respond with a field meta.modified attribute set to true. This indicates that the orderItem was modified. If the value of the quantity attribute equals zero then the orderItem was successfully cancelled. Otherwise, when the value is larger than zero, the orderItem was partially cancelled.

No Change​

If the orderItem could not be cancelled, because it has already been fulfilled, the server will still respond also with a 200: OK. However, the attribute meta.modified will be set to false, indicating that the orderItem was not modified as a result of this request.

Responses​

Response